As you may be aware, a serious bug in the OpenSSL library was recently discovered (CVE-2014-0160). The OpenSSL library handles SSL encryption for the majority of sites on the Internet.

We conducted a prompt investigation on April 8th, 2014 and found only one vulnerable machine which was immediately mitigated. As an added precautionary measure, we have revoked, rekeyed and replaced our SSL certificates.

We have no evidence that any account or data were compromised, however we are recommending that our customers change their passwords as a precautionary measure and as a matter of good practice.

If you have any questions or concerns, please contact us at [email protected].